Type to search.

Get auto-follow patterns

  • GET /_ccr/auto_follow/{name}
  • GET /_ccr/auto_follow
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 6.5 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Get cross-cluster replication auto-follow patterns.

More about auto-follow patterns

Required privileges

Cluster privileges manage_ccr

Path parameters

name string optional

The auto-follow pattern collection that you want to retrieve. If you do not specify a name, the API returns information for all collections.

Leave it out to use /_ccr/auto_follow.

Query parameters

master_timeout string · default: 30s

The period to wait for a connection to the master node. If the master node is not available before the timeout expires, the request fails and returns an error. It can also be set to -1 to indicate that the request should never timeout.

Response

application/json
patterns object[] required
name string required
pattern object required
active boolean required
remote_cluster string required

The remote cluster containing the leader indices to match against.

follow_index_pattern string

The name of follower index.

leader_index_patterns string[] required

An array of simple index patterns to match against indices in the remote cluster specified by the remote_cluster field.

leader_index_exclusion_patterns string[] required The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 7.14 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

An array of simple index patterns that can be used to exclude indices from being auto-followed.

max_outstanding_read_requests number required

The maximum number of outstanding reads requests from the remote cluster.